Description

I've tried to improve the documentation for range by:

adding more examples

simplifying existing examples

moving case statement example to top level documentation

adding and fixing links to methods

using consistent terminology and formatting of and parameters and variables
clarifying edge cases of methods

better explaining of when the succ method is needed

| also wanted to group the '===' operator with 'include?' and 'member?' methods
in the docs. | put this in a seperate patch since it requires code changes.

Associated revisions

Revision 79bc3579 - 12/05/2011 11:36 PM - drbrain (Eric Hodel)

* range.c: Improve documentation for Range. Patch by Chris Zetter. [Ruby 1.9 - Bug #5656]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33958 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 33958 - 12/05/2011 11:36 PM - drbrain (Eric Hodel)

® range.c: Improve documentation for Range. Patch by Chris Zetter. [Ruby 1.9 - Bug #5656]
Revision 33958 - 12/05/2011 11:36 PM - drbrain (Eric Hodel)

e range.c: Improve documentation for Range. Patch by Chris Zetter. [Ruby 1.9 - Bug #5656]
Revision 33958 - 12/05/2011 11:36 PM - drbrain (Eric Hodel)

e range.c: Improve documentation for Range. Patch by Chris Zetter. [Ruby 1.9 - Bug #5656]
Revision 33958 - 12/05/2011 11:36 PM - drbrain (Eric Hodel)

® range.c: Improve documentation for Range. Patch by Chris Zetter. [Ruby 1.9 - Bug #5656]
Revision 33958 - 12/05/2011 11:36 PM - drbrain (Eric Hodel)

e range.c: Improve documentation for Range. Patch by Chris Zetter. [Ruby 1.9 - Bug #5656]
Revision 33958 - 12/05/2011 11:36 PM - drbrain (Eric Hodel)

¢ range.c: Improve documentation for Range. Patch by Chris Zetter. [Ruby 1.9 - Bug #5656]

History

#1 - 12/06/2011 08:37 AM - drbrain (Eric Hodel)
- Status changed from Open to Closed
- % Done changed from 0 to 100

This issue was solved with changeset r33958.
Chris, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e range.c: Improve documentation for Range. Patch by Chris Zetter. [Ruby 1.9 - Bug #5656]

#2 - 12/06/2011 12:30 PM - drbrain (Eric Hodel)
=begin

| restored the Xs example in #step since it seemed more illustrative.
| restored the === comment to the === documentation since it isn't something special to Range, all objects can behave that way.

Your second patch cannot be applied because it changes the behavior of Range:

class X < Range

def include? other
false

end

end

r = Range.new 5, 10
x = X.new 5, 10

pr===
pX ===

=end
